const express = require('express');

const config = require('komodo-sdk/config');
const logger = require('komodo-sdk/logger');

const app = express();
const listenPort = config.webservice.port || config.webservice.listen_port;

const routerPriceplan = require('./router/priceplan');

app.use('/apikey/:apikey/priceplan', routerPriceplan);

app.listen(listenPort, () => {
    logger.info(`WEBSERVICE listen on ${listenPort}`);
});
